Optimizer Tab lists hight wrong

Bug #700783 reported by Jan Martin on 2011-01-09
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Hugin
Wishlist
Unassigned

Bug Description

See attachment.
In the Optimizer tab the hight of the lists is wrong:

In the upper row the lists hight is to large.
In the bottom row the lists hight is to small, causing vertical scrollbars to appear.
The tab itself does not fit on the page anymore and shows unnecessary scrollbars too.

Ubuntu 10.4.1 Lucid Lynx

Operating System: Linux 2.6.32-27-generic i686
Architecture: 32 bit
Free memory: 1926208 kiB

Hugin
Version: 2010.5.0.35d17b75485e
Path to ressources: /usr/share/hugin/xrc/
Path to data: /usr/share/hugin/data/

Jan Martin (janmartin) wrote :
Yuv (yuv) wrote :

In normal operation there are more input images (upper row) than different lenses (lower row). This explains the deliberate height difference between upper and lower row.

In the specific case of the attached snapshot it would make sense to switch to equal height, but this is an exceptional case. Most users work with a single lens and for them the lower row is too big, not too small.

I see a few possibilities to accommodate your needs, such as adding a slider to move the boundary between the two rows or letting the software decide where to put it based on the number of images and of lenses in the project. This second solution would be questionable from a usability point of view, and in general I see little benefit to such a change.

There is definitely nothing "wrong" height the height of the lists. If you feel that it can be improved, patches are welcome.

tags: added: optimizertab usability
removed: hight lists optimizer tab
Changed in hugin:
importance: Undecided → Wishlist
status: New → Triaged

Hi Yuv,

I really appreciate what you do for hugin.

What is needed is a to automatically resize the hight of the list areas to
the number of list entries. Simple as that.
Neither "equal height" nor "adding a slider" is the solution to this.

Thanks,
Jan

On Sun, Jan 9, 2011 at 9:23 PM, Yuv <email address hidden> wrote:

> In normal operation there are more input images (upper row) than
> different lenses (lower row). This explains the deliberate height
> difference between upper and lower row.
>
> In the specific case of the attached snapshot it would make sense to
> switch to equal height, but this is an exceptional case. Most users
> work with a single lens and for them the lower row is too big, not too
> small.
>
> I see a few possibilities to accommodate your needs, such as adding a
> slider to move the boundary between the two rows or letting the software
> decide where to put it based on the number of images and of lenses in
> the project. This second solution would be questionable from a
> usability point of view, and in general I see little benefit to such a
> change.
>
> There is definitely nothing "wrong" height the height of the lists. If
> you feel that it can be improved, patches are welcome.
>
>
> ** Tags added: optimizertab usability
> ** Tags removed: hight lists optimizer tab
>
> ** Changed in: hugin
> Importance: Undecided => Wishlist
>
> ** Changed in: hugin
> Status: New => Triaged
>
> --
> You received this bug notification because you are a direct subscriber
> of the bug.
> https://bugs.launchpad.net/bugs/700783
>
> Title:
> Optimizer Tab lists hight wrong
>
> Status in Hugin - Panorama Tools GUI:
> Triaged
>
> Bug description:
> See attachment.
> In the Optimizer tab the hight of the lists is wrong:
>
> In the upper row the lists hight is to large.
> In the bottom row the lists hight is to small, causing vertical scrollbars
> to appear.
> The tab itself does not fit on the page anymore and shows unnecessary
> scrollbars too.
>
> Ubuntu 10.4.1 Lucid Lynx
>
> Operating System: Linux 2.6.32-27-generic i686
> Architecture: 32 bit
> Free memory: 1926208 kiB
>
> Hugin
> Version: 2010.5.0.35d17b75485e
> Path to ressources: /usr/share/hugin/xrc/
> Path to data: /usr/share/hugin/data/
>
> To unsubscribe from this bug, go to:
> https://bugs.launchpad.net/hugin/+bug/700783/+subscribe
>

--
http://www.DIY-streetview.org

Yuv (yuv) wrote :

On January 9, 2011 03:37:51 pm Jan Martin wrote:
> What is needed is a to automatically resize the hight of the list areas to
> the number of list entries. Simple as that.

this is very bad from a usability perspective because it would cause the
controls to move up and down as well. If you think it is simple, you are free
to contribute a patch.

Jan Martin (janmartin) wrote :

Sorry, I totally disagree.

From "usability perspective" what we have now is worse. One needs to scroll
both the whole tab and and 3 of 6 boxes.

Instead start building the tab from top, and then go down without wasting
screenspace on empty boxes, whats wrong with that?

Jan

On Sun, Jan 9, 2011 at 9:52 PM, Yuv <email address hidden> wrote:

> On January 9, 2011 03:37:51 pm Jan Martin wrote:
> > What is needed is a to automatically resize the hight of the list areas
> to
> > the number of list entries. Simple as that.
>
> this is very bad from a usability perspective because it would cause the
> controls to move up and down as well. If you think it is simple, you are
> free
> to contribute a patch.
>
> --
> You received this bug notification because you are a direct subscriber
> of the bug.
> https://bugs.launchpad.net/bugs/700783
>
> Title:
> Optimizer Tab lists hight wrong
>
> Status in Hugin - Panorama Tools GUI:
> Triaged
>
> Bug description:
> See attachment.
> In the Optimizer tab the hight of the lists is wrong:
>
> In the upper row the lists hight is to large.
> In the bottom row the lists hight is to small, causing vertical scrollbars
> to appear.
> The tab itself does not fit on the page anymore and shows unnecessary
> scrollbars too.
>
> Ubuntu 10.4.1 Lucid Lynx
>
> Operating System: Linux 2.6.32-27-generic i686
> Architecture: 32 bit
> Free memory: 1926208 kiB
>
> Hugin
> Version: 2010.5.0.35d17b75485e
> Path to ressources: /usr/share/hugin/xrc/
> Path to data: /usr/share/hugin/data/
>
> To unsubscribe from this bug, go to:
> https://bugs.launchpad.net/hugin/+bug/700783/+subscribe
>

--
http://www.DIY-streetview.org

tmodes (tmodes) wrote :

Fixed in new gui.

tmodes (tmodes) on 2012-07-27
Changed in hugin:
status: Triaged → Fix Committed
tmodes (tmodes) on 2013-03-05
Changed in hugin:
milestone: none → 2013.0beta1
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers